# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from hestia.api import hestia_pb2 as weclikd_dot_service_dot_hestia__pb2


class HestiaStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetClikInfos = channel.unary_unary(
        '/weclikd.Hestia/GetClikInfos',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetClikInfosRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetClikInfosResponse.FromString,
        )
    self.IsClikMember = channel.unary_unary(
        '/weclikd.Hestia/IsClikMember',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.IsClikMemberRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.IsClikMemberResponse.FromString,
        )
    self.GetTrendingCliks = channel.unary_unary(
        '/weclikd.Hestia/GetTrendingCliks',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetTrendingCliksRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetTrendingCliksResponse.FromString,
        )
    self.JoinClik = channel.unary_unary(
        '/weclikd.Hestia/JoinClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.JoinClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.JoinClikResponse.FromString,
        )
    self.CreateClik = channel.unary_unary(
        '/weclikd.Hestia/CreateClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.CreateClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.CreateClikResponse.FromString,
        )
    self.InviteToClik = channel.unary_unary(
        '/weclikd.Hestia/InviteToClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.InviteToClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.InviteToClikResponse.FromString,
        )
    self.GetMembersOfClik = channel.unary_unary(
        '/weclikd.Hestia/GetMembersOfClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetMembersOfClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetMembersOfClikResponse.FromString,
        )
    self.GetApplicationsToClik = channel.unary_unary(
        '/weclikd.Hestia/GetApplicationsToClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetApplicationsToClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetApplicationsToClikResponse.FromString,
        )
    self.GetCliksToApprove = channel.unary_unary(
        '/weclikd.Hestia/GetCliksToApprove',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetCliksToApproveRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetCliksToApproveResponse.FromString,
        )
    self.ApproveClik = channel.unary_unary(
        '/weclikd.Hestia/ApproveClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.ApproveClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.ApproveClikResponse.FromString,
        )
    self.EditClik = channel.unary_unary(
        '/weclikd.Hestia/EditClik',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.EditClikRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.EditClikResponse.FromString,
        )
    self.RejectClikMember = channel.unary_unary(
        '/weclikd.Hestia/RejectClikMember',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.RejectClikMemberRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.RejectClikMemberResponse.FromString,
        )
    self.PromoteClikMember = channel.unary_unary(
        '/weclikd.Hestia/PromoteClikMember',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.PromoteClikMemberRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.PromoteClikMemberResponse.FromString,
        )
    self.KickClikMember = channel.unary_unary(
        '/weclikd.Hestia/KickClikMember',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.KickClikMemberRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.KickClikMemberResponse.FromString,
        )
    self.GetCliksJoined = channel.unary_unary(
        '/weclikd.Hestia/GetCliksJoined',
        request_serializer=weclikd_dot_service_dot_hestia__pb2.GetCliksJoinedRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_hestia__pb2.GetCliksJoinedResponse.FromString,
        )


class HestiaServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def GetClikInfos(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def IsClikMember(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetTrendingCliks(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def JoinClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def CreateClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def InviteToClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetMembersOfClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetApplicationsToClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCliksToApprove(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ApproveClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditClik(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def RejectClikMember(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def PromoteClikMember(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def KickClikMember(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCliksJoined(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_HestiaServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetClikInfos': grpc.unary_unary_rpc_method_handler(
          servicer.GetClikInfos,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetClikInfosRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetClikInfosResponse.SerializeToString,
      ),
      'IsClikMember': grpc.unary_unary_rpc_method_handler(
          servicer.IsClikMember,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.IsClikMemberRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.IsClikMemberResponse.SerializeToString,
      ),
      'GetTrendingCliks': grpc.unary_unary_rpc_method_handler(
          servicer.GetTrendingCliks,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetTrendingCliksRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetTrendingCliksResponse.SerializeToString,
      ),
      'JoinClik': grpc.unary_unary_rpc_method_handler(
          servicer.JoinClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.JoinClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.JoinClikResponse.SerializeToString,
      ),
      'CreateClik': grpc.unary_unary_rpc_method_handler(
          servicer.CreateClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.CreateClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.CreateClikResponse.SerializeToString,
      ),
      'InviteToClik': grpc.unary_unary_rpc_method_handler(
          servicer.InviteToClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.InviteToClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.InviteToClikResponse.SerializeToString,
      ),
      'GetMembersOfClik': grpc.unary_unary_rpc_method_handler(
          servicer.GetMembersOfClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetMembersOfClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetMembersOfClikResponse.SerializeToString,
      ),
      'GetApplicationsToClik': grpc.unary_unary_rpc_method_handler(
          servicer.GetApplicationsToClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetApplicationsToClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetApplicationsToClikResponse.SerializeToString,
      ),
      'GetCliksToApprove': grpc.unary_unary_rpc_method_handler(
          servicer.GetCliksToApprove,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetCliksToApproveRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetCliksToApproveResponse.SerializeToString,
      ),
      'ApproveClik': grpc.unary_unary_rpc_method_handler(
          servicer.ApproveClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.ApproveClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.ApproveClikResponse.SerializeToString,
      ),
      'EditClik': grpc.unary_unary_rpc_method_handler(
          servicer.EditClik,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.EditClikRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.EditClikResponse.SerializeToString,
      ),
      'RejectClikMember': grpc.unary_unary_rpc_method_handler(
          servicer.RejectClikMember,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.RejectClikMemberRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.RejectClikMemberResponse.SerializeToString,
      ),
      'PromoteClikMember': grpc.unary_unary_rpc_method_handler(
          servicer.PromoteClikMember,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.PromoteClikMemberRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.PromoteClikMemberResponse.SerializeToString,
      ),
      'KickClikMember': grpc.unary_unary_rpc_method_handler(
          servicer.KickClikMember,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.KickClikMemberRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.KickClikMemberResponse.SerializeToString,
      ),
      'GetCliksJoined': grpc.unary_unary_rpc_method_handler(
          servicer.GetCliksJoined,
          request_deserializer=weclikd_dot_service_dot_hestia__pb2.GetCliksJoinedRequest.FromString,
          response_serializer=weclikd_dot_service_dot_hestia__pb2.GetCliksJoinedResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Hestia', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
